portability
List portability portability
Requires scopes: exports:download
GET
/
api
/
portability
List portability portability
curl --request GET \
--url https://evalgate.com/api/portability \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/portability"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/portability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inventory": [
{
"kind": "prompt",
"id": "<string>",
"key": "<string>",
"name": "<string>"
}
],
"bundles": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bundleHash": "<string>",
"bundleVersion": "<string>",
"compatibilityVersion": 123,
"sourcePolicy": {
"classification": "public",
"requiredScopes": [
"<string>"
],
"allowCrossOrganization": true,
"allowedDestinationOrganizationIds": [
"<string>"
],
"requiresSignature": true
},
"bundle": {
"schema": "evalgate.portability.bundle",
"createdAt": "<string>",
"assets": [
{
"provenance": {},
"version": "<string>",
"kind": "prompt",
"contentHash": "<string>",
"canonicalRef": "<string>",
"dependencies": [
{
"required": true,
"canonicalRef": "<string>",
"expectedContentHash": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"historicalEvidence": [
true
],
"content": true,
"calibrationInterpretation": {}
}
],
"bundleHash": "<string>",
"bundleVersion": "1.0.0",
"compatibilityVersion": 123,
"bundleId": "<string>",
"sourceOrganization": {
"policy": {
"classification": "public",
"requiredScopes": [
"<string>"
],
"allowCrossOrganization": true,
"allowedDestinationOrganizationIds": [
"<string>"
],
"requiresSignature": true
},
"id": "<string>"
},
"dependencyOrder": [
"<string>"
],
"redactionManifest": [
{
"reason": "<string>",
"action": "remove",
"canonicalRef": "<string>",
"jsonPointer": "<string>",
"originalValueHash": "<string>"
}
],
"signature": {
"value": "<string>",
"algorithm": "Ed25519",
"keyId": "<string>",
"publicKey": "<string>"
}
},
"signedByKeyId": "<string>",
"assetCount": 123,
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"imports": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bundleHash": "<string>",
"sourceOrganizationId": "<string>",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"dryRunToken": "<string>",
"dryRun": true,
"status": "<string>",
"conflictPolicy": "<string>",
"referencePolicy": "<string>",
"referenceRemap": {},
"plan": {
"bundleHash": "<string>",
"requestHash": "<string>",
"compatible": true,
"partial": true,
"assets": [
{
"canonicalRef": "<string>",
"targetCanonicalRef": "<string>",
"kind": "prompt",
"version": "<string>",
"targetVersion": "<string>",
"contentHash": "<string>",
"action": "create",
"compatible": true,
"issues": [
{
"code": "CONFLICT",
"message": "<string>",
"canonicalRef": "<string>"
}
]
}
],
"issues": [
{
"code": "CONFLICT",
"message": "<string>",
"canonicalRef": "<string>"
}
],
"dependencyOrder": [
"<string>"
],
"counts": {
"create": 123,
"replace": 123,
"skip": 123,
"createVersion": 123,
"reject": 123
}
},
"createdBy": "<string>",
"committedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"assets": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"canonicalRef": "<string>",
"sourceCanonicalRef": "<string>",
"version": "<string>",
"contentHash": "<string>",
"content": true,
"dependencies": [
{
"required": true,
"canonicalRef": "<string>",
"expectedContentHash": "<string>"
}
],
"provenance": {},
"requiredScopes": [
"<string>"
],
"calibrationInterpretation": {},
"historicalEvidence": [
true
],
"sourceOrganizationId": "<string>",
"bundleId": "<string>",
"importId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"signers": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"keyId": "<string>",
"publicKey": "<string>",
"displayName": "<string>",
"enabled": true,
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
List portability portability
